#!/bin/sh
 
cat /proc/mtd | while read line; do
    part_name=`echo "$line" | awk 'BEGIN {FS="\"" ; } { print $2 ; }'`
    mtd_name=`echo "$line" | awk 'BEGIN {FS=":" ; } { print $1 ; }'`
    echo "got line: $line"
    echo $part_name
    echo $mtd_name
    if [ empty"$part_name"  = "empty" -o "$mtd_name" = "mtd0" ]; then
      echo "skip $mtd_name"
    else
      cat /dev/$mtd_name > $mtd_name-$part_name.img
      sync
    fi
done